This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 501916 - `service taskomatic status` when taskomatic is stopped returns 1 instead of 3
`service taskomatic status` when taskomatic is stopped returns 1 instead of 3
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
: Triaged
Depends On:
Blocks: 462714 479461
  Show dependency treegraph
 
Reported: 2009-05-21 06:06 EDT by Jan Hutař
Modified: 2014-07-04 09:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-04 09:27:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-05-21 06:06:46 EDT
Description of problem:
`service taskomatic status` when taskomatic is stopped returns 1 instead of 3


Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090507.1-x86_64


How reproducible:
always


Steps to Reproduce:
1. # service taskomatic stop
2. # service taskomatic status
3. # echo $?


Actual results:
1


Expected results:
3


Additional info:
See section "Return codes of the status command" in:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
Comment 1 Jan Hutař 2009-05-21 06:39:08 EDT
Hmm, taskomatic do not run at all:

# rhn-satellite restart
Shutting down rhn-satellite...
Stopping RHN Taskomatic...
RHN Taskomatic was not running.
Stopping cobbler daemon:                                   [  OK  ]
Stopping rhn-search...
rhn-search was not running.
Stopping MonitoringScout ...  [ OK ]
Stopping Monitoring ...  [ OK ]
Stopping httpd:                                            [  OK  ]
Stopping tomcat5:                                          [  OK  ]
Shutting down osa-dispatcher:                              [  OK  ]
Shutting down Oracle Net Listener ...                      [  OK  ]
Shutting down Oracle DB instance "rhnsat" ...              [  OK  ]
Shutting down Jabber router:                               [  OK  ]
Done.
Starting rhn-satellite...
Starting Jabber services                                   [  OK  ]
Starting Oracle Net Listener ...                           [  OK  ]
Starting Oracle DB instance "rhnsat" ...                   [  OK  ]
Starting osa-dispatcher:                                   [  OK  ]
Starting tomcat5:                                          [  OK  ]
Starting httpd:                                            [  OK  ]
Starting Monitoring ...  [ OK ]
Starting MonitoringScout ...  [ OK ]
Starting rhn-search...
Starting cobbler daemon:                                   [  OK  ]
Starting RHN Taskomatic...
Done.
# service taskomatic status
RHN Taskomatic is not running.
# echo $?
1

Note You need to log in before you can comment on or make changes to this bug.